%define		basever		3.22
Summary:	Epiphany - WebKit-based GNOME web browser
Summary(es.UTF-8):	Epiphany - navigador Web de GNOME basado en WebKit
Summary(pl.UTF-8):	Epiphany - przeglądarka WWW dla GNOME
Name:		epiphany
Version:	3.22.5
Release:	1
License:	GPL v2+
Group:		X11/Applications/Networking
Source0:	http://ftp.gnome.org/pub/GNOME/sources/epiphany/3.22/%{name}-%{version}.tar.xz
# Source0-md5:	2b37ee5dd2e12ea2c2ab56a80fdee199
URL:		http://www.gnome.org/projects/epiphany/
BuildRequires:	appstream-glib-devel
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.11
BuildRequires:	avahi-devel >= 0.6.22
BuildRequires:	avahi-gobject-devel >= 0.6.22
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gcr-ui-devel >= 3.6.0
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.44.0
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gnome-desktop-devel >= 3.6.0
BuildRequires:	gnome-doc-utils >= 0.12.0
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	gtk+3-devel >= 3.20.0
BuildRequires:	gtk-webkit4-devel >= 2.14.2
BuildRequires:	intltool >= 0.50.0
BuildRequires:	iso-codes >= 0.53
BuildRequires:	libnotify-devel >= 0.5.1
BuildRequires:	libsecret-devel >= 0.14
BuildRequires:	libsoup-devel >= 2.48.0
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libwnck-devel
BuildRequires:	libxml2-devel >= 1:2.6.28
BuildRequires:	libxslt-devel >= 1.1.20
BuildRequires:	nss-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.26.0
Requires:	ca-certificates
Requires:	dbus >= 1.0.2
Requires:	glib2 >= 1:2.44.0
Requires:	gnome-icon-theme >= 3.4.0
Requires:	gsettings-desktop-schemas
Requires:	gtk+3 >= 3.20.0
Requires:	gtk-webkit4 >= 2.14.2
Requires:	libsoup >= 2.48.0
Provides:	wwwbrowser
Obsoletes:	epiphany-apidocs < 3.8.0-2
Obsoletes:	epiphany-devel < 3.8.0-2
Obsoletes:	epiphany-extensions < 3.8.0
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME browser based on WebKit.

%description -l es.UTF-8
Navigador Web de GNOME basado en WebKit.

%description -l pl.UTF-8
Epiphany jest przeglądarką WWW opartą na silniku WebKit.

%prep
%setup -q

%build
%{__gnome_doc_prepare}
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-silent-rules \
	--disable-schemas-compile \
	--with-distributor-name="PLD Linux"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/%{basever}/web-extensions/*.la

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%glib_compile_schemas

%postun
%update_desktop_database_postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/epiphany
%attr(755,root,root) %{_bindir}/ephy-profile-migrator
%{_datadir}/appdata/epiphany.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Epiphany.service
%{_datadir}/%{name}
%{_datadir}/GConf/gsettings/epiphany.convert
%{_datadir}/glib-2.0/schemas/org.gnome.Epiphany.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.epiphany.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.epiphany.host.gschema.xml
%{_datadir}/gnome-shell/search-providers/epiphany-search-provider.ini
%{_desktopdir}/epiphany.desktop
%attr(755,root,root) %{_libdir}/epiphany-search-provider
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/%{basever}
%dir %{_libdir}/%{name}/%{basever}/web-extensions
%attr(755,root,root) %{_libdir}/%{name}/%{basever}/web-extensions/libephywebextension.so
%{_mandir}/man1/epiphany.1*
%changelog
* Tue Jan 17 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/epiphany.git;a=log;h=master

* Tue Jan 17 2017 Marcin Banasiak <marcin.banasiak@gmail.com> c57a3a3
- Update to 3.22.5

* Fri Dec 30 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 252a88d
- Update to 3.22.4

* Sun Nov 27 2016 Marcin Banasiak <marcin.banasiak@gmail.com> b79ed9d
- Update to 3.22.3

* Mon Mar 28 2016 Marcin Banasiak <marcin.banasiak@gmail.com> a0ec2b8
- Update to 3.20.0

* Sun Feb 21 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 037b25d
- Update to 3.18.4

* Fri Jan 08 2016 Marcin Banasiak <marcin.banasiak@gmail.com> bc47246
- Update to 3.18.3

* Fri Dec 11 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 13b7190
- Update to 3.18.2

* Mon Dec 07 2015 Marcin Banasiak <marcin.banasiak@gmail.com> a72dcd4
- Update to 3.18.1

* Sat Oct 24 2015 Jan Rękorajski <baggins@pld-linux.org> 2982d94
- updated files
- rel 1

* Sat Oct 24 2015 Jan Rękorajski <baggins@pld-linux.org> b9fec5a
- fix files

* Sun Oct 04 2015 Jan Rękorajski <baggins@pld-linux.org> 2f41c11
- gnome-doc-common is no more

* Sun Oct 04 2015 Jan Rękorajski <baggins@pld-linux.org> a01fa73
- up to 3.18.0

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> 853b3bc
- x32 rebuild
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> acd04a5
- updated gettext BR

* Mon Apr 14 2014 Jan Rękorajski <baggins@pld-linux.org> 1fc3b59
- release 2 (by relup.sh)

* Sat Nov 23 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 463b207
- Update to 3.10.2

* Sun Sep 29 2013 Marcin Banasiak <marcin.banasiak@gmail.com> b43945c
- Update to 3.10.0

* Thu Jun 06 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 0ff42cc
- Update to 3.8.2

* Tue Apr 16 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 70d3de9
- Update to 3.8.1

* Fri Apr 12 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 3972b1b
- epiphany-extensions are obsolete as well [1]
- removed obsolete configure flags and scrollkeeper leftovers
- release 3

